<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Zonas/depto.php"); 
encabezado2($target); 
$id_depto=$_GET['id_depto'];
$nombre=$_GET['nombre'];
$cod_depto=$_GET['cod_depto'];
$pagina='ACTUALIZAR DEPARTAMENTOS';
if($tipo==2 && !isset($Ejecutar)){
$read="readonly='readonly'";
$pagina='ELIMINAR DEPARTAMENTOS';
}
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="324" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
  <td valign=top height="24" class=miTable_td>Cod:</td>
  <td valign=top height="24" class="miTable_td"><input name="cod_depto" type="text" class="inputbox"  value="<? echo $cod_depto?>" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="130" valign=top height="24" class=miTable_td>
Nombre:</td>
<td width="184" valign=top height="24" class="miTable_td">
<input type="hidden" name="id_depto" value="<? echo $id_depto?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25"></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
</div></td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){
  //echo "Asignar menu";
  
class ejecutaZonan{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id_depto,$nombre,$cod_depto){
	  		 //$id_user=$_GET['id_user'];
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new departamentos();
	  		 $this->consultarObj->setId_depto($id_depto);
			 $this->consultarObj->setNombre($nombre);
			 $this->consultarObj->setCod_depto($cod_depto);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM departamentos WHERE id_depto='".$this->consultarObj->getId_depto()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id_depto=$this->consultarObj->getId_depto();
				$nombre=$this->consultarObj->getNombre();
				$cod_depto=$this->consultarObj->getCod_depto();
				$this->modificarDepto($id_depto,$nombre,$cod_depto);
			}else{
				$msgBOX2 = "No Se Encontro Departamento.";
				echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			}
	
	}
	function modificarDepto($id_depto,$nombre,$cod_depto){
//echo "UPDATE ciudades SET nombre = '".$nombre."', id_depto = '".$cod_depto."', id_zona_nacional = '".$cod_zona."' WHERE id_depto = ".$id_depto."";
		$rst_modificar=$this->conexionObj->consultar("UPDATE departamentos SET nombre = '".$nombre."', cod_depto = '".$cod_depto."' WHERE id_depto = ".$this->consultarObj->getId_depto()."");
		
		$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Departamento.";
				echo "<script>
					  opener.document.location.reload();
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Departamento.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaZonanObj=new ejecutaZonan();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaZonanObj->setConsultar($_POST['id_depto'],$_POST['nombre'],$_POST['cod_depto']);

// LAMANDO EL METODO DE NEGOCIO
$ejecutaZonanObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){
  //echo "Quitar menu";
class quitarCiudad{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id_depto){
	  		 $this->consultarObj=new departamentos();
	  		 $this->consultarObj->setId_depto($id_depto);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM departamentos WHERE id_depto='".$this->consultarObj->getId_depto()."'");

			if(mysql_num_rows($rst_validar)>=1){
				$id_depto=$this->consultarObj->getId_depto();
				$this->eliminarDepto($id_depto);
			}else{
				//$row_validar=mysql_fetch_array($rst_validar);
				$msgBOX2 = "No Se Encontro Departamento.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarDepto($id_depto){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM departamentos WHERE id_depto = ".$this->consultarObj->getId_depto()."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Departamento.";
				echo "<script>
			    	  opener.document.location.reload();
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Departamento.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarCiudadObj=new quitarCiudad();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarCiudadObj->setConsultar($_POST['id_depto']);

// LAMANDO EL METODO DE NEGOCIO
$quitarCiudadObj->validar();
  
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</body>";
   echo"</html>";
?>